# Run

```python
class Run:
    id: str
    project_id: str
    run_config_id: str
    display_name: Optional[str] = None
    metadata: Optional[dict[str, str]] = None
    run_config: Optional[RunConfig] = None

```

## Fields

<table><thead><tr><th width="184">Argument</th><th width="181"></th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>str</code></td><td>The ID of the Run. Run ID starts with the prefix <code>run_</code></td></tr><tr><td><code>project_id</code></td><td><code>str</code></td><td>The ID of the <a href="/pages/vfXFauh5ZnUjluqFCP7i">Project</a> this Run is associated with.</td></tr><tr><td><code>run_config_id</code></td><td><code>str</code></td><td>The ID of the <a href="/pages/HIhELmSZ1QDDyatoPYAM">RunConfig</a> this Run is associated with. Runs with the same RunConfig can be compared in the UI.</td></tr><tr><td><code>display_name</code></td><td><code>str</code></td><td>An optional display name of the Run.</td></tr><tr><td><code>metadata</code></td><td><code>Dict[str, str]</code></td><td>Any additional key-value pairs information the user wants to track.</td></tr><tr><td><code>run_config</code></td><td><a href="/pages/HIhELmSZ1QDDyatoPYAM"><code>RunConfig</code></a></td><td>The <a href="/pages/HIhELmSZ1QDDyatoPYAM">RunConfig</a> associated with this Run object.</td></tr></tbody></table>

## Supported Functions

[`dbnl.create_run`](/v0.20.x/using-distributional/python-sdk/sdk-functions/run/create_run.md)

[`dbnl.close_run`](/v0.20.x/using-distributional/python-sdk/sdk-functions/run/close_run.md)

[`dbnl.get_run`](/v0.20.x/using-distributional/python-sdk/sdk-functions/run/get_run.md)

[`dbnl.set_run_as_baseline`](/v0.20.x/using-distributional/python-sdk/sdk-functions/baseline/set_run_as_baseline.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.20.x/using-distributional/python-sdk/sdk-objects/run.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
